Bug 218081 - www/node: fails to build on armv6
Summary: www/node: fails to build on armv6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: arm Any
: --- Affects Many People
Assignee: Martin Wilke
URL: http://beefy8.nyi.freebsd.org/data/he...
Keywords:
Depends on:
Blocks: 218643
  Show dependency treegraph
 
Reported: 2017-03-24 18:20 UTC by Mikael Urankar
Modified: 2017-04-14 18:42 UTC (History)
5 users (show)

See Also:
bhughes: maintainer-feedback+


Attachments
patch (1.18 KB, patch)
2017-03-24 18:20 UTC, Mikael Urankar
no flags Details | Diff
patch (2.33 KB, patch)
2017-03-25 12:16 UTC, Mikael Urankar
no flags Details | Diff
www/node, www/node6: Build on armv6 (9.35 KB, patch)
2017-03-28 06:42 UTC, Bradley T. Hughes
bhughes: maintainer-approval+
Details | Diff
www/node, www/node6: Build on armv6 (9.08 KB, patch)
2017-04-03 20:15 UTC, Bradley T. Hughes
bhughes: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mikael Urankar freebsd_committer 2017-03-24 18:20:25 UTC
Created attachment 181156 [details]
patch

we have dtrace on arm.
patch attached

www/node6 seems to have the same problem
Comment 1 Mikael Urankar freebsd_committer 2017-03-25 12:16:31 UTC
Created attachment 181186 [details]
patch

while here switch to builtin __sync_synchronize, ARM_DRAIN_WRITEBUF seems to only be implemented on pl310
Comment 2 Bradley T. Hughes freebsd_committer 2017-03-26 21:42:24 UTC
Thanks for the patch, I'm having a look at it now. :)
Comment 3 Bradley T. Hughes freebsd_committer 2017-03-27 17:34:16 UTC
Hi Mikael. Thanks again for the patch, it fixes the configure problem I've been seeing when trying to build for armv6 with poudriere. I'm glad it was so easy. Just FYI, I am not going to mark this patch with maintainer-approval+ since I want to fix www/node6 at the same time as well as refresh all the patches. I have test builds running now using this patch: https://github.com/bradleythughes/freebsd-ports/commit/53dc2ac1c12b989023139eb05a7b852dcf54e1e3

Once it passes, I will upload a new patch so that we can hopefully get this in before 2017Q2 is cut.

:)
Comment 4 Bradley T. Hughes freebsd_committer 2017-03-27 17:35:14 UTC
Comment on attachment 181186 [details]
patch

Needs `make makepatch`, needs same done for www/node6. I will submit a new patch after a few test builds.
Comment 5 Bradley T. Hughes freebsd_committer 2017-03-28 06:42:47 UTC
Created attachment 181260 [details]
www/node, www/node6: Build on armv6

Patch for www/node and www/node6 to fix the armv6 build, also in poudriere (yay!).

testport: OK (poudriere, 11.0-R, armv6, default options)
testport: OK (poudriere, 11.0-R, armv6, BUNDLED_SSL)
Comment 6 Bradley T. Hughes freebsd_committer 2017-04-03 18:22:46 UTC
FYI, I have submitted the fix upstream as well: https://github.com/nodejs/node/pull/12193
Comment 7 Bradley T. Hughes freebsd_committer 2017-04-03 20:15:00 UTC
Created attachment 181442 [details]
www/node, www/node6: Build on armv6

Updated patch to match change submitted upstream.
Comment 8 commit-hook freebsd_committer 2017-04-14 12:20:01 UTC
A commit references this bug:

Author: riggs
Date: Fri Apr 14 12:19:30 UTC 2017
New revision: 438506
URL: https://svnweb.freebsd.org/changeset/ports/438506

Log:
  Update to upstream version 7.9.0, fix build on armv6

  PR:		218081, 218643
  Submitted by:	mikael.urankar@gmail.com,
  		bradleythughes@fastmail.fm (maintainer)
  Approved by:	bradleythughes@fastmail.fm (maintainer)

Changes:
  head/www/node/Makefile
  head/www/node/distinfo
  head/www/node/files/patch-deps_v8_src_base_atomicops__internals__arm__gcc.h
  head/www/node/files/patch-node.gyp
  head/www/node/pkg-plist
Comment 9 Thomas Zander freebsd_committer 2017-04-14 12:23:00 UTC
Fixed in the process of committing the update to 7.9.0, see bug 218643
Comment 10 Bradley T. Hughes freebsd_committer 2017-04-14 18:42:41 UTC
Thanks! :)